Package org.apache.sling.mcp.server.spi

# Interface McpServerContribution

public interface McpServerContribution
Provisional API for registering MCP server contributions

This abstraction is needed because the contributions themselves are Java records and cannot be registered as OSGi services directly.

Note: This API can change in incompatible ways while the bundle version is < 1.0 . The exported package version will remain 1.0.0 and will be changed to 1.1.0 once the bundle version becomes 1.0 .

## Method Summary

Modifier and Type
Method
Description
`default List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncCompletionSpecification>`
`getSyncCompletionSpecification()`
`default List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncPromptSpecification>`
`getSyncPromptSpecification()`
`default List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncResourceSpecification>`
`getSyncResourceSpecification()`
`default List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncResourceTemplateSpecification>`
`getSyncResourceTemplateSpecification()`
`default List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncToolSpecification>`
`getSyncToolSpecification()`

## Method Details

### getSyncToolSpecification

default List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncToolSpecification> getSyncToolSpecification()

### getSyncResourceSpecification

default List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncResourceSpecification> getSyncResourceSpecification()

### getSyncResourceTemplateSpecification

default List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncResourceTemplateSpecification> getSyncResourceTemplateSpecification()

### getSyncPromptSpecification

default List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncPromptSpecification> getSyncPromptSpecification()

### getSyncCompletionSpecification

default List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncCompletionSpecification> getSyncCompletionSpecification()